%define anolis_release 1
%global pypi_name ipympl
%global pypi_version 0.9.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Matplotlib Jupyter Extension

License:        BSD License
URL:            http://matplotlib.org
Source0:        https://github.com/matplotlib/ipympl/archive/refs/tags/%{pypi_version}.tar.gz#/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-pip
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(jupyter-packaging)
BuildRequires:  yarnpkg

%description
ipympl enables using the interactive features of matplotlib in Jupyter Notebooks, 
Jupyter Lab, Google Colab, VSCode notebooks.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(ipython)
Requires:       python3dist(ipywidgets) >= 7.6
Requires:       python3dist(matplotlib) >= 3.4
Requires:       python3dist(numpy)
Requires:       python3dist(pillow)
Requires:       python3dist(traitlets)
%description -n python3-%{pypi_name}
ipympl enables using the interactive features of matplotlib in Jupyter Notebooks, 
Jupyter Lab, Google Colab, VSCode notebooks.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

# genutils is now deprecated and included in ipython package
sed -i '/ipython_genutils/d' setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Fri Jan 26 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.9.3-1
- Initial package.